Skip to main content
POST
/
verify
/
accounts
/
{id}
/
control
Verify account control
curl --request POST \
  --url https://api-sandbox.orum.io/verify/accounts/{id}/control \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Orum-Version: <orum-version>' \
  --data '
{
  "statement_code": "<string>"
}
'
{
  "account": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "account_number": "<string>",
    "routing_number": "<string>",
    "account_holder_name": "<string>",
    "verification_status": "pending",
    "email": "[email protected]",
    "status_reason": "blocked_account",
    "ownership_status": "pending",
    "person": {
      "first_name": "<string>",
      "last_name": "<string>",
      "phone_number": "<string>",
      "first_name_match": "match",
      "last_name_match": "match",
      "phone_number_match": "match",
      "ssn_match": "match"
    },
    "business": {
      "business_name": "<string>",
      "phone_number": "<string>",
      "business_name_match": "match",
      "phone_number_match": "match",
      "tax_id_match": "match"
    },
    "control_status": "pending",
    "debit_status": "pending",
    "debit_status_reason": "blocked_account",
    "estimated_verification_date": "2023-07-13T00:00:00.000Z",
    "sender_name": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.orum.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Orum-Version
enum<string>
required

Version of Deliver and Verify APIs. Use v2022-09-21.

Available options:
v2022-09-21

Path Parameters

id
string<uuid>
required

Orum generated unique id for the account you are verifying. Orum generated unique id for the resource.

Body

application/json
statement_code
string
required

Text from the account statement descriptor to verify account control.

Pattern: ^[a-zA-Z0-9]{4}$

Response

200 response.

account
VerifyAccountResponseBase · object
required